#!/usr/bin/env bash

set -o errexit
set -o nounset
set -o pipefail

USERNAME="alexzinn"
PASSWORD="al3110e"
EMAIL="zinntechniker@gmail.com"

curl --verbose \
  --request POST \
  -H "x-secret: al3110e" \
  -H "Content-Type: application/json" \
  http://localhost:3000/api/users \
  -d "{
    \"username\": \"${USERNAME}\",
    \"password\": \"${PASSWORD}\",
    \"email\": \"${EMAIL}\"
  }"
